package request


type AlibabaWdkorderSharestockOrderGetRequest struct {
    /*
        淘宝主订单ID     */
    TbOrderId  *int64 `json:"tb_order_id" required:"true" `
}

func (s *AlibabaWdkorderSharestockOrderGetRequest) SetTbOrderId(v int64) *AlibabaWdkorderSharestockOrderGetRequest {
    s.TbOrderId = &v
    return s
}

func (req *AlibabaWdkorderSharestockOrderGetRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.TbOrderId != nil) {
        paramMap["tb_order_id"] = *req.TbOrderId
    }
    return paramMap
}

func (req *AlibabaWdkorderSharestockOrderGetRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}